public class BlackKey extends Key {    //stellt schwarze Tasten als spezifische Instanzen der Key-Klasse dar

  int width = 2*(widthWhite/3);
  int height = 225;
  int xPosFirstWhite = initialXPos;  //x-Position der ersten weißen Taste der Oktave
  
  BlackKey() {      //Konstruktor, je nachdem die wievielte schwarze Taste einer Oktave erzeugt wird, ist die x-Position unterschiedlich
    if (numberBlack > 4) xPosFirstWhite += 7*widthWhite;
    if (numberBlack > 9) xPosFirstWhite += 7*widthWhite;
    if (numberBlack > 14) xPosFirstWhite += 7*widthWhite;
    if (numberBlack > 19) xPosFirstWhite += 7*widthWhite;
    if (numberBlack > 24) xPosFirstWhite += 7*widthWhite;
    if (numberBlack % 5 == 0) xPos = xPosFirstWhite + width;
    if (numberBlack % 5 == 1) xPos = xPosFirstWhite + widthWhite + width;
    if (numberBlack % 5 == 2) xPos = xPosFirstWhite + 3*widthWhite + width;
    if (numberBlack % 5 == 3) xPos = xPosFirstWhite + 4*widthWhite + width;
    if (numberBlack % 5 == 4) xPos = xPosFirstWhite + 5*widthWhite + width;

    status = Black;
    numberBlack++;
  }

  void drawKey() {
    fill(status);
    rect(xPos, yPos, width, height, 7);
  }

  void indicate() {
    status = Next;
    drawKey();
  }

  void unindicate() {
    status = Black;
    drawKey();
  }
}
